raidz_test(1)

NAME
raidz_test - raidz implementation verification and bencmarking tool

SYNOPSIS

raidz_test <options>

DESCRIPTION

This manual page documents briefly the raidz_test command.

Purpose of this tool is to run all supported raidz implementation and verify results of all methods. Tool also contains a parameter sweep option where all parameters affecting RAIDZ block are verified (like ashift size, data offset, data size, etc...). The tool also supports a benchmarking mode using -B option.

OPTION

-h

    Print a help summary.

-a ashift (default: 9)

    Ashift value.

-o zio_off_shift (default: 0)

    Zio offset for raidz block. Offset value is 1 << (zio_off_shift)

-d raidz_data_disks (default: 8)

    Number of raidz data disks to use. Additional disks for parity will be used during testing.

-s zio_size_shift (default: 19)

    Size of data for raidz block. Size is 1 << (zio_size_shift).

-S(weep)

    Sweep parameter space while verifying the raidz implementations. This option will exhaust all most of valid values for -a -o -d -s options. Runtime using this option will be long.

-t(imeout)

    Wall time for sweep test in seconds. The actual runtime could be longer.

-B(enchmark)

    This options starts the benchmark mode. All implementations are benchmarked using increasing per disk data size. Results are given as throughput per disk, measured in MiB/s.

-v(erbose)

    Increase verbosity.

-T(est the test)

    Debugging option. When this option is specified tool is supposed to fail all tests. This is to check if tests would properly verify bit-exactness.

-D(ebug)

    Debugging option. Specify to attach gdb when SIGSEGV or SIGABRT are received.

SEE ALSO
ztest (1)

AUTHORS
vdev_raidz, created for ZFS on Linux by Gvozden Nešković <neskovic@gmail.com>